## python-watchgod 0.6

=== Makefile ===
.DEFAULT_GOAL := all
isort = isort -rc watchgod tests

.PHONY: install
install:
	pip install -U setuptools pip
	pip install -r tests/requirements.txt
	pip install -U .

.PHONY: isort
format:
	$(isort)

.PHONY: lint
lint:
	python setup.py check -ms
	flake8 watchgod/ tests/
	$(isort) --check-only

.PHONY: test
test:
	pytest --cov=watchgod --log-format="%(levelname)s %(message)s"

.PHONY: testcov
testcov: test
	@echo "building coverage html"
	@coverage html

.PHONY: all
all: lint testcov

.PHONY: clean
clean:
	rm -rf `find . -name __pycache__`
	rm -f `find . -type f -name '*.py[co]' `
	rm -f `find . -type f -name '*~' `
	rm -f `find . -type f -name '.*~' `
	rm -rf .cache
	rm -rf htmlcov
	rm -rf *.egg-info
	rm -f .coverage
	rm -f .coverage.*
	rm -rf build
	python setup.py clean

=== tests/requirements.txt ===
coverage==4.5.4
docutils==0.15.2
flake8==3.7.6
isort==4.3.21
pycodestyle==2.5.0
pyflakes==2.1.1
pygments==2.4.2
pytest==5.1.1
pytest-cov==2.7.1
pytest-aiohttp==0.3.0
pytest-mock==1.10.4
pytest-sugar==0.9.2
pytest-toolbox==0.4

=== debian/changelog ===
python-watchgod (0.6-2) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Fri, 30 Oct 2020 23:43:47 -0400

python-watchgod (0.6-1) unstable; urgency=low

  * Initial release (Closes: #962911).

 -- Michael Fladischer <fladi@debian.org>  Tue, 16 Jun 2020 09:01:31 +0200

=== debian/control ===
Source: python-watchgod
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 docbook-to-man,
 python3-all,
 python3-setuptools,
Standards-Version: 4.5.0
Homepage: https://github.com/samuelcolvin/watchgod/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-watchgod
Vcs-Git: https://salsa.debian.org/python-team/packages/python-watchgod.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-watchgod
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Simple, modern file watching and code reload (Python3 version)
 Simple, modern file watching and code reload in Python. It can watch for
 changes in a directory and run a function to restart it when code changes.
 Notifications about change events as well as to restart a process can use
 the callback argument to pass a function which will be called on every file
 change with one argument: the set of file changes.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=watchgod
export PYBUILD_DISABLE=test # Missing packages: pytest-aiohttp and pytest-toolbox

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installman:
	docbook-to-man debian/manpage.watchgod.sgml > watchgod.1
	dh_installman

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v([\d\.]+)\.tar\.gz/python-watchgod-$1.tar.gz/ \
https://github.com/samuelcolvin/watchgod/releases \
/samuelcolvin/watchgod/archive/v([\d\.]+)\.tar\.gz

## python-watchgod 0.7

=== Makefile ===
--- 
+++ 
@@ -1,21 +1,32 @@
 .DEFAULT_GOAL := all
-isort = isort -rc watchgod tests
+isort = isort watchgod tests
+black = black -S -l 120 --target-version py38 watchgod tests
 
 .PHONY: install
 install:
-	pip install -U setuptools pip
+	pip install -U pip wheel
 	pip install -r tests/requirements.txt
 	pip install -U .
+
+.PHONY: install-all
+install-all: install
+	pip install -r tests/requirements-linting.txt
 
 .PHONY: isort
 format:
 	$(isort)
+	$(black)
 
 .PHONY: lint
 lint:
 	python setup.py check -ms
 	flake8 watchgod/ tests/
-	$(isort) --check-only
+	$(isort) --check-only --df
+	$(black) --check --diff
+
+.PHONY: mypy
+mypy:
+	mypy watchgod
 
 .PHONY: test
 test:
@@ -27,7 +38,7 @@
 	@coverage html
 
 .PHONY: all
-all: lint testcov
+all: lint mypy testcov
 
 .PHONY: clean
 clean:

=== tests/requirements.txt ===
coverage==5.4
pygments==2.7.4
pytest==6.2.2
pytest-cov==2.11.1
pytest-asyncio==0.14.0
pytest-mock==3.5.1
pytest-sugar==0.9.4
pytest-toolbox==0.4

=== debian/changelog ===
python-watchgod (0.7-2) unstable; urgency=low

  * Enable upstream testsuite for autopkgtests and build.
  * Update year in d/copyright.
  * Remove unnecessary autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Fri, 14 Jan 2022 11:03:35 +0000

python-watchgod (0.7-1) unstable; urgency=low

  * New upstream release.
  * Update d/watch to work with github again.
  * Bump Standards-Version to 4.6.0.1.
  * Use uscan version 4.

 -- Michael Fladischer <fladi@debian.org>  Fri, 22 Oct 2021 20:59:45 +0000

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,15 @@
  docbook-to-man,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.5.0
+ python3-pytest,
+ python3-pytest-asyncio,
+ python3-pytest-mock,
+ python3-pytest-sugar,
+ python3-pytest-toolbox,
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/samuelcolvin/watchgod/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-watchgod
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-watchgod.git
-Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
 Package: python3-watchgod

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=watchgod
-export PYBUILD_DISABLE=test # Missing packages: pytest-aiohttp and pytest-toolbox
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v([\d\.]+)\.tar\.gz/python-watchgod-$1.tar.gz/ \
https://github.com/samuelcolvin/watchgod/releases \
/samuelcolvin/watchgod/archive/refs/tags/v([\d\.]+)\.tar\.gz

## python-watchgod 0.8.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 .DEFAULT_GOAL := all
-isort = isort watchgod tests
-black = black -S -l 120 --target-version py38 watchgod tests
+isort = isort watchgod tests setup.py
+black = black -S -l 120 --target-version py38 watchgod tests setup.py
 
 .PHONY: install
 install:
@@ -20,7 +20,7 @@
 .PHONY: lint
 lint:
 	python setup.py check -ms
-	flake8 watchgod/ tests/
+	flake8 watchgod/ tests/ setup.py
 	$(isort) --check-only --df
 	$(black) --check --diff
 
@@ -48,6 +48,8 @@
 	rm -f `find . -type f -name '.*~' `
 	rm -rf .cache
 	rm -rf htmlcov
+	rm -rf .pytest_cache
+	rm -rf .mypy_cache
 	rm -rf *.egg-info
 	rm -f .coverage
 	rm -f .coverage.*

=== tests/requirements.txt ===
coverage==6.3.2
pygments==2.11.2
pytest==7.0.1
pytest-cov==3.0.0
pytest-mock==3.7.0
pytest-sugar==0.9.4
trio==0.20.0

=== debian/changelog ===
python-watchgod (0.8.2-2) unstable; urgency=medium

  * debian/rules
    - dont treat TrioDeprecationWarning as errors in tests; Closes: #1026730
  * run autopkgtest via autopkgtest-pkg-pybuild

 -- Sandro Tosi <morph@debian.org>  Sat, 31 Dec 2022 14:33:02 -0500

python-watchgod (0.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fix watch file
  * Add salsa-ci file
  * Add nocheck profile marker
  * fix asyncio warnings
    Closes: #1008469
  * Build-Depends: python3-anyio, python3-trio

 -- Andreas Tille <tille@debian.org>  Mon, 04 Apr 2022 16:42:20 +0200

=== debian/control ===
--- 
+++ 
@@ -10,16 +10,19 @@
  docbook-to-man,
  python3-all,
  python3-setuptools,
- python3-pytest,
- python3-pytest-asyncio,
- python3-pytest-mock,
- python3-pytest-sugar,
- python3-pytest-toolbox,
-Standards-Version: 4.6.0.1
+ python3-anyio <!nocheck>,
+ python3-trio <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-asyncio <!nocheck>,
+ python3-pytest-mock <!nocheck>,
+ python3-pytest-sugar <!nocheck>,
+ python3-pytest-toolbox <!nocheck>,
+Standards-Version: 4.6.0
 Homepage: https://github.com/samuelcolvin/watchgod/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-watchgod
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-watchgod.git
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-watchgod
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=watchgod
+export PYBUILD_TEST_ARGS=-W ignore::trio.TrioDeprecationWarning
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v([\d\.]+)\.tar\.gz/@PACKAGE@-$1.tar.gz/ \
https://github.com/samuelcolvin/watchgod/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
